<?xml version="1.0" encoding="UTF-8"?>
<object class="root" name="root" title="Индикатор тока с параметрами">
    <parametr name="rootID" title="ID машины">777</parametr>
    

    <object class="VisLabel" name="IndicatorTok">
        <property name="objectName" variable="">vlbl_Tok[[[rootID]]]</property>

        <property name="text">125.5 А</property>
        <property name="pos">10,0</property>
        <property name="size">59x19</property>
        <property name="font">MS Shell Dlg 2,10,[b]</property>
        <property name="textColor">#ffffff</property>
        <property name="backgroundColor">#008080</property>
        <property name="autoFillBackground">true</property>
        <property name="shadow">Raised</property>
        <property name="shape">Box</property>
        <property name="alignment">[AlignRight, AlignVCenter]</property>
        <property name="wordWrap">false</property>
                <property propname="script">tok = obj.getVar(0);
blk = obj.getVar(1);
l = obj.getVar(2);
h = obj.getVar(3);
w = obj.getVar(4);

if ((w == 1) || (w == 7)) w = 1;
   else w = 0;

if (w == 1) {

    if (tok &lt; 0) tok = 0;

    if (blk &lt;= 0) {
       if (  (l &gt;= 0)  &amp;&amp;  (h &gt;= 0) &amp;&amp;  (h &gt;= l) ) 
         {
            // normal work
            if ((tok &lt; l) || (tok &gt; h )) 
              { //alarm
                obj.setTextColor (0xFFFFFF);
                obj.setBackgroundColor(0xFF0000);
              } else
              { //ok
                obj.setTextColor (0x000000);
                obj.setBackgroundColor(0x00FF00);
              }

            tok2 = tok / 10;
            lbl.text = tok2 + &quot; A&quot;;

         } else
         {
           //strange settings
           lbl.text = &quot; ïûéâ &quot;;
           obj.setTextColor (0xFFFFFF);
           obj.setBackgroundColor(0x008080);
         };


    } else {
        // in blok
        lbl.text = &quot; ??? &quot;;
        obj.setTextColor (0xFFFFFF);
        obj.setBackgroundColor(0x008080);
    }

} else
{
    //not work
    lbl.text = &quot; &quot;;
    obj.setTextColor (0xFFFFFF);
    obj.setBackgroundColor(0x008080);
}
</property>
                <property name="eqParameters">eqpar_State</property>
                <property name="eqVarSet">eqvar_State</property>



    </object>



    <object class="EqVarSet" name="eqvar_State">
            <property name="objectName" variable="">eqvar_[[[rootID]]]</property>
            <property name="tagRoot">[[[rootID]]]</property>
            <property name="tagRootId">^</property>
            <property name="varNames">MDTA_^_Tok_Value
MDTA_^_Tok_Blok
MDTA_^_Tok_Low
MDTA_^_Tok_High
MCHB_^_Sost</property>
    </object>



    <object class="EqParameters" name="eqpar_State">
            <property name="objectName" variable="">eqpar_[[[rootID]]]</property>
            <property name="tagRoot">[[[rootID]]]</property>
            <property name="tagRootId">^</property>
            <property name="title">Параметры датчика тока</property>
            <property name="parameters">
                <parameter>
                    <name>Параметры</name>
                </parameter>
                <parameter>
                    <name>Нижняя граница (А)</name>
                    <tagName>MDTA_^_Tok_Low</tagName>
                    <transform>/10</transform>
                    <decimals>1</decimals>
                </parameter>
                <parameter>
                    <name>Верхняя граница (А)</name>
                    <tagName>MDTA_^_Tok_High</tagName>
                    <transform>/10</transform>
                    <decimals>1</decimals>
                </parameter>
                <parameter>
                    <name>Антидребезг (с)</name>
                    <tagName>MDTA_^_Tok_DlyDrebezg</tagName>
                </parameter>
                <parameter/>
                <parameter>
                    <name>Калибровки</name>
                </parameter>
                <parameter>
                    <name>Преобразованное значение (А) (только чтение)</name>
                    <tagName>MDTA_^_Tok_Value</tagName>
                    <transform>/10</transform>
                    <decimals>1</decimals>
                </parameter>
                <parameter>
                    <name>Не перобразованное значение (только чтение)</name>
                    <tagName>MDTA_^_Tok_Primeval</tagName>
                </parameter>
                <parameter>
                    <name>Значение калибровочное</name>
                    <tagName>MDTA_^_Tok_PointP1</tagName>
                </parameter>
                <parameter>
                    <name>Ток калибровочный (А)</name>
                    <tagName>MDTA_^_Tok_PointV1</tagName>
                    <transform>/10</transform>
                    <decimals>1</decimals>
                </parameter>
            </property>
    </object>


</object>